package com.duowenlvshi.duowenlszp.model.Job.dao;

import com.duowenlvshi.duowenlszp.model.Job.entity.Job;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface JobMapper {


    int insertSelective(Job record);



    int updateByPrimaryKeySelective(Job record);

    /*删除招聘信息*/
    int delete(String id);

    /*查询岗位详情*/
    List<Map> selectByLawyerId(String id);

    Map selectByIdPush(String id);

    List<Map> selectByLawyerIdMy(@Param("jobId") String jobId,@Param("lawyerId") String lawyerId);

    /*查询招聘岗位列表信息*/
    List<Map> selectByLawyerIdList(@Param("map") Map map);

    Integer selectByLawyerIdListCount(@Param("map") Map map);

    /*条件搜索职位*/
    List<Map> selectConditionList(@Param("map") Map map);

    Integer selectConditionListCount(@Param("map") Map map);

    int updateProfile(@Param("map") Map map);

    String selectProfile(String id);

    List<Map> selectPost(@Param("map") Map map);

    List<Map> selectJobDialongus(String id);

    /*查询省code*/
    List<Map> selectProvince();


    /*查询城市code*/
    List<Map> selectCity();

    /*查询学校code*/
    List<Map> selectSchool();
}